package http.vo

open class CommonResponse(/*open var code: String, open var msg: String*/) {

    var code: String = ""
    var message: String = ""

    companion object {
        const val CODE_SUCCESS = "200"
        const val CODE_TOKEN_EXPIRED = "5002"
    }

    fun isSuccess() = CODE_SUCCESS == code

    fun isTokenExpired() = CODE_TOKEN_EXPIRED == code

}